summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2016-05-29 11:56:31 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2016-05-29 11:56:33 +0200
commit8ee3c980c36e5425feeb76d459274fbcc2cdfa8a (patch)
treed228928fbcf570e0e8430005713fe3eccf49c1b6 /scripts
parent737ef649cff9b0964b8e0ba46397e8060cb3e563 (diff)
downloadptxdist-8ee3c980c36e5425feeb76d459274fbcc2cdfa8a.tar.gz
ptxdist-8ee3c980c36e5425feeb76d459274fbcc2cdfa8a.tar.xz
ptxd_make_world_prepare: cleanup sanity checks
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/lib/ptxd_make_world_prepare.sh23
1 files changed, 14 insertions, 9 deletions
diff --git a/scripts/lib/ptxd_make_world_prepare.sh b/scripts/lib/ptxd_make_world_prepare.sh
index 1664cc551..4914c5e49 100644
--- a/scripts/lib/ptxd_make_world_prepare.sh
+++ b/scripts/lib/ptxd_make_world_prepare.sh
@@ -28,6 +28,20 @@ error: 'CMakeLists.txt' not found in:
EOF
exit 1
+ elif [ "${pkg_conf_tool}" = "cmake" -a "${pkg_type}" = "cross" ]; then
+ cat >&2 <<EOF
+
+error: sorry - cmake 'cross' packages are not supported
+
+EOF
+ exit 1
+ elif [ \( "${pkg_conf_tool}" = "qmake" -o "${pkg_conf_tool}" = "perl" \) -a "${pkg_type}" != "target" ]; then
+ cat >&2 <<EOF
+
+error: only ${pkg_conf_tool} taget packages are supported
+
+EOF
+ exit 1
fi
}
export -f ptxd_make_world_prepare_sanity_check
@@ -37,9 +51,6 @@ export -f ptxd_make_world_prepare_sanity_check
# prepare for cmake based pkgs
#
ptxd_make_world_prepare_cmake() {
- [ "${pkg_type}" == "cross" ] && \
- ptxd_bailout "sorry - cmake 'cross' packages are not supported"
-
ptxd_eval \
"${pkg_path}" \
"${pkg_env}" \
@@ -55,9 +66,6 @@ export -f ptxd_make_world_prepare_cmake
# prepare for qmake based pkgs
#
ptxd_make_world_prepare_qmake() {
- [ "${pkg_type}" != "target" ] && \
- ptxd_bailout "only qmake taget packages are supported"
-
ptxd_eval \
"${pkg_path}" \
"${pkg_env}" \
@@ -100,9 +108,6 @@ export -f ptxd_make_world_prepare_kconfig
# prepare for perl modules
#
ptxd_make_world_prepare_perl() {
- [ "${pkg_type}" != "target" ] && \
- ptxd_bailout "only perl taget packages are supported"
-
ptxd_eval \
"${pkg_path}" \
"${pkg_env}" \